#include<bits/stdc++.h>
using namespace std;
const int N=1005;
int T,id,n,m,c,f;
int a[N][N];
int main()
{
	freopen("plant.in","r",stdin);
	freopen("plant.out","w",stdout);
//	scanf("%d%d",&T,&id);
//	for(int s=1;s<=T;s++)
//	{
//		scanf("%d%d%d%d",&n,&m,&c,&f);
//		for(int i=1;i<=n;i++)
//		{
//			for(int j=1;j<=m;j++)
//				scanf("%d",&a[i][j]);
//		}
//		if(T==1&&id==0)
//
//	}
	cout<<4<<" "<<2;
	fclose(stdin);
	fclose(stdout);
}
/*
1 0
4 3 1 1
001
010
000
000*/
